RubyGems Navigation menu

dry-schema 1.10.5

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Versiones:

  1. 1.10.5 - September 21, 2022 (44,5 KB)
  2. 1.10.4 - September 13, 2022 (44,5 KB)
  3. 1.10.3 - September 10, 2022 (44 KB)
  4. 1.10.2 - August 23, 2022 (44,5 KB)
  5. 1.10.1 - August 22, 2022 (44 KB)
Mostrar todas las versiones (46 total)

dependencias de Runtime (6):

  • concurrent-ruby ~> 1.0
  • dry-configurable ~> 0.13, >= 0.13.0
  • dry-core ~> 0.5, >= 0.5
  • dry-initializer ~> 3.0
  • dry-logic ~> 1.2
  • dry-types ~> 1.5
  • dependencias de Development (3):

    Propietarios:

    Subida por:

    Autores:

    • Piotr Solnica

    SHA 256 checksum:

    d417bc1377ea82f7a3b9fc95cd2d051698022a339ce9b742dddfbc700e9bd14a

    Total de descargas 23.332.392

    Para esta versión 15.933

    Gemfile:
    = Copiar al portapapeles ¡Copiado!

    instalar:
    =

    Licencia:

    MIT

    Versión de Ruby requerida: >= 2.7.0

    Enlace: